<?


set_time_limit (3600 );


define('SF_ROOT_DIR', "/home/diycash22/public_html/disney");
//define('SF_ROOT_DIR', "C://wamp/www/sinergia");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



$con = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}



$fechaUltima=  date('Y-m-d');
//$fechaUltima=  '2020-07-18';
$fechaInicio= date('Y-m-d',strtotime($fechaUltima.'-4 day'));
//$fechaInicio=  '2020-05-10';


$sql = "SELECT distinct FechaBalance
		FROM `cr_balance_dia_detalle`
		WHERE 	`FechaBalance` >= '".$fechaInicio."' 
				and FechaBalance <= '".$fechaUltima."' ";
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$FechaBalance = $o_valor->FechaBalance;
  	
  	$o_ra = new CrUtilidadDP();
  	echo $FechaBalance."<br>";
  	$o_ra->saveUtilidad($FechaBalance);
  }
}





exit;

